Package org.gradle.tooling.model

# Interface ProjectIdentifier

All Superinterfaces:
  `Model`

public interface ProjectIdentifier extends Model
Identifies a Gradle project.

A Gradle Project is a project in a multi-project Gradle build or a single "standalone" project.

Since:
  2.13

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BuildIdentifier`
  `getBuildIdentifier()`
  Identifier of the build this project is a member of.
  `String`
  `getProjectPath()`
  The path of the project, relative to its build.

- ## Method Details

  - ### getProjectPath

    String getProjectPath()
    The path of the project, relative to its build.
    Returns:
      the path, never null
    Since:
      3.3

  - ### getBuildIdentifier

    BuildIdentifier getBuildIdentifier()
    Identifier of the build this project is a member of.
    Returns:
      build identifier, never null.